<app-header></app-header>


<div class="row" style="margin-top: 50px;">
    <div class="col-md-6"  *ngFor="let report of reportInfo">
        
        <div class="heading">
            <h4 class="text-white">Report Detail ::</h4>
        </div>
        <div class="row" style="margin-left: 30px; margin-top: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">Crime Type: </h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{report.crime_type | titlecase}}</h4>
            </div>
        </div>
        <div class="row" style="margin-left: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">Area : </h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{report.area | titlecase}}</h4>
            </div>
        </div>
        <div class="row" style="margin-left: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">Date :</h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{report.date | date: 'medium'}}</h4>
            </div>
        </div>
        <div class="row" style="margin-left: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">Description :</h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{report.description}}</h4>
            </div>
        </div>
        <!-- <div class="row" style="margin-left: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">Description :</h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">Hey This is an crime report </h4>
            </div>
        </div> -->
    </div>
    <div class="col-sm-6"  *ngFor="let user of user">
        <div class="heading">
            <h4 class="text-white">User Detail ::</h4>
        </div>
        <div class="row" style="margin-left: 30px; margin-top: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">User Name: </h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{user.given_name | titlecase}} {{ user.family_name | titlecase}}</h4>
            </div>
        </div>
        <div class="row" style="margin-left: 30px; margin-top: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">User Email: </h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{user.email}}</h4>
            </div>
        </div>
        <div class="row" style="margin-left: 30px; margin-top: 30px;">
            <div class="col-sm-2"></div>
            <div class="col-sm-4">
                <h4 class="text-white">User Contact No: </h4>
            </div>
            <div class="col-sm-6">
                <h4 class="text-white">{{user.contact_no}}</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-1"></div>
        <div class="col-md-10" *ngFor="let report of reportInfo">
            <!--Map-->
            <!-- <div class="map">
                <div class="modal-body">
                    <agm-map [latitude]="latitude" [longitude]="longitude" (mapClick)="mapClicked($event)">
                        <agm-marker [latitude]="latitude" [longitude]="longitude" [markerDraggable]="true"
                            (dragEnd)="markerDragEnd($event)"></agm-marker>
                    </agm-map>
                </div>
            </div> -->
            <!--Map End-->
            <ng-container *ngIf="showmap">
                <app-google-map [lat]="lat" [long]="lng" ></app-google-map>
            </ng-container>
            
        </div>
        <div class="col-sm-1">
            <!-- <img class="crimeImage" src="{{report.image}}" alt=""> -->
        </div>
    </div>
</div>